








C
C ********************************************************************
C FREQUENCY METER MODEL LM DIAL CALIBRATION CURVE GENERATOR
C ********************************************************************
C UPDATED PROGRAM TO INCORPORATE LF CALIBRATION INCLUDING LM SERIES
C 1 THRU 9 WITH THE 195 TO 400 KHZ LF RANGE AND THE LM SERIES 10 TO 21
C WITH THE 125 TO 250 KHZ LF RANGE. ADDED INSTRUCTIONS, INTERPOLATION
C TABLE AND CRYSTAL CHECK POINTS --1 FEB 1996 --, UPDATED BY
C RUSSELL G. SCHROEDER (W2DYY)
C ********************************************************************
C MSDOS MICROSOFT FORTRAN VERSION --- Version 1.04 --- 04 OCT SEP 1994
C WRITTEN BY ROBERT D. KEYS (NA4G)
C ********************************************************************
C THIS PROGRAM IS IN THE PUBLIC DOMAIN
C ********************************************************************
C ORIGINAL MAINFRAME FORTRAN IV WATFIV VERSION OF THIS PROGRAM WAS
C WRITTEN BY ROBERT D. KEYS (NA4G) --- 19 JANUARY 1980
C ********************************************************************
C LM FREQUENCY METER CALIBRATION CURVE VARIABLES
C PAGENO IS INTEGER PRINTOUT PAGE NUMBER
C DIAL IS CALCULATED DIAL UNITS
C IFREQ IS INTEGER RUNNING INCREMENT OF FREQUENCY FOR A GIVEN DIAL UNIT
C FREQLF IS REAL RUNNING INCREMENT OF FREQUENCY FOR A GIVEN LF DIAL UNIT
C J IS LINE NUMBER WITHIN A PAGE
C L IS ARRAY SUBSCRIPT OF MEASURED REAL X AND Y DATA POINTS W AND Z
C FREQPT IS ARRAY OF VALUES OF FREQUENCY CALIBRATION DATA POINTS
C DIALPT IS ARRAY OF VALUES OF DIAL CALIBRATION DATA POINTS
C ZLFLOW IS 125KHZ OR 195 KHZ CALIBRATION POINT
C ZLFHIGH IS 250KHZ OR 400 KHZ CALIBRATION POINT
C HFLOW IS 2000KHZ CALIBRATION POINT
C HFHIGH IS 4000KHZ CALIBRATION POINT
C SERIES IS THE LM-XX SERIES NUMBER
C SERIALNUM IS THE PARTICULAR FREQUENCY METER SERIAL NUMBER
C *****************************************************************
C
C SAMPLE TEST DATA FILE FROM AN LM FREQUENCY METER CALIBRATION
C
C ************************************
C
C SAMPLE DATA FOR LM SERIES 10 THRU 21
C
C 15                   LM MODEL SERIES
C 9763                 LM SERIAL NUMBER
C    105.2    4380.2   LF ENDPOINTS FOR 125 AND 250 KHZ
C    430.4    4470.7   HF ENDPOINTS FOR 2000 AND 4000 KHZ
C   2000.00   0430.40  HF SECTION DATA STARTS HERE
C   2050.00   0540.70
C   2100.00   0651.00
C   2150.00   0756.20
C   2200.00   0861.30
C   2250.00   0965.90
C   2300.00   1070.50
C   2350.00   1175.60
C   2400.00   1280.70
C   2450.00   1386.60
C   2500.00   1492.50
C   2550.00   1597.60
C   2600.00   1702.60
C   2650.00   1807.90
C   2700.00   1913.10
C   2750.00   2017.70
C   2800.00   2122.20
C   2850.00   2224.70
C   2900.00   2327.10
C   2950.00   2429.40
C   3000.00   2531.70
C   3050.00   2623.70
C   3100.00   2733.70
C   3150.00   2833.30
C   3200.00   2932.80
C   3250.00   3031.50
C   3300.00   3130.20
C   3350.00   3227.80
C   3400.00   3325.40
C   3450.00   3421.90
C   3500.00   3518.30
C   3550.00   3615.00
C   3600.00   3711.60
C   3650.00   3807.70
C   3700.00   3903.70
C   3750.00   3998.80
C   3800.00   4093.80
C   3850.00   4188.40
C   3900.00   4283.00
C   3950.00   4376.90
C   4000.00   4470.70  END HF SECTION DATA
C   0125.00   0105.20  LF SECTION DATA STARTS HERE
C   0130.00   0311.10
C   0135.00   0492.00
C   0140.00   0660.20
C   0145.00   0825.20
C   0150.00   0989.30
C   0155.00   1154.80
C   0160.00   1321.80
C   0165.00   1490.70
C   0170.00   1660.30
C   0175.00   1830.70
C   0180.00   2001.60
C   0185.00   2172.30
C   0190.00   2341.80
C   0195.00   2509.50
C   0200.00   2677.80
C   0205.00   2846.70
C   0210.00   3015.60
C   0215.00   3184.50
C   0220.00   3352.70
C   0225.00   3521.20
C   0230.00   3690.40
C   0235.00   3861.30
C   0240.00   4033.50
C   0245.00   4206.90
C   0250.00   4380.20  END LF SECTION DATA
C
C ************************************
C
C SAMPLE DATA FOR LM SERIES 1 THRU 9
C
C 5                    LM MODEL SERIES
C 9765                 LM SERIAL NUMBER
C    105.2    4540.0   LF ENDPOINTS FOR 195 AND 400 KHZ
C    430.4    4470.7   HF ENDPOINTS FOR 2000 AND 4000 KHZ
C   2000.00   0430.40  HF SECTION DATA STARTS HERE
C   2050.00   0540.70
C   2100.00   0651.00
C   2150.00   0756.20
C   2200.00   0861.30
C   2250.00   0965.90
C   2300.00   1070.50
C   2350.00   1175.60
C   2400.00   1280.70
C   2450.00   1386.60
C   2500.00   1492.50
C   2550.00   1597.60
C   2600.00   1702.60
C   2650.00   1807.90
C   2700.00   1913.10
C   2750.00   2017.70
C   2800.00   2122.20
C   2850.00   2224.70
C   2900.00   2327.10
C   2950.00   2429.40
C   3000.00   2531.70
C   3050.00   2623.70
C   3100.00   2733.70
C   3150.00   2833.30
C   3200.00   2932.80
C   3250.00   3031.50
C   3300.00   3130.20
C   3350.00   3227.80
C   3400.00   3325.40
C   3450.00   3421.90
C   3500.00   3518.30
C   3550.00   3615.00
C   3600.00   3711.60
C   3650.00   3807.70
C   3700.00   3903.70
C   3750.00   3998.80
C   3800.00   4093.80
C   3850.00   4188.40
C   3900.00   4283.00
C   3950.00   4376.90
C   4000.00   4470.70  END HF SECTION DATA
C   0195.00   0105.20  START LF SECTION DATA
C   0200.00   0213.70
C   0205.00   0321.50
C   0210.00   0429.70
C   0215.00   0537.90
C   0220.00   0646.00
C   0225.00   0754.20
C   0230.00   0862.40
C   0235.00   0970.50
C   0240.00   1078.70
C   0245.00   1186.90
C   0250.00   1295.00
C   0255.00   1403.20
C   0260.00   1511.40
C   0265.00   1619.50
C   0270.00   1727.70
C   0275.00   1835.90
C   0280.00   1944.00
C   0285.00   2052.20
C   0290.00   2160.40
C   0295.00   2268.50
C   0300.00   2376.70
C   0305.00   2484.80
C   0310.00   2593.00
C   0315.00   2701.20
C   0320.00   2809.30
C   0325.00   2917.50
C   0330.00   3025.70
C   0335.00   3133.80
C   0340.00   3242.00
C   0345.00   3350.20
C   0350.00   3458.30
C   0355.00   3566.50
C   0360.00   3674.70
C   0365.00   3782.80
C   0370.00   3891.00
C   0375.00   3999.20
C   0380.00   4107.30
C   0385.00   4215.50
C   0390.00   4323.70
C   0395.00   4431.80
C   0400.00   4540.00  END LF SECTION DATA

C
C *****************************************************************
C
C
C
C
C DECLARE THE VARIOUS TYPES OF DATA *******************************
C
C
      DIMENSION FREQPT(83),DIALPT(83)
      INTEGER SERIES,SERIALNUM
      INTEGER IPAGENO,J,IFREQ,L
      DOUBLE PRECISION INCREMENT,DIAL,DIALPT,FREQPT,FREQLF
      REAL ZLFLOW,ZLFHIGH,HFLOW,HFHIGH
C
C
C INITIALIZE SOME DATA ********************************************
C
C
      IPAGENO=1
      J=1
      IFREQ=2000
      L=1
C
C
C OPEN THE DATA INPUT AND DATA OUTPUT FILES ***********************
C
C
      OPEN(3,FILE='LMCALIB.DAT',ACCESS='SEQUENTIAL',STATUS='OLD')
      OPEN(4,FILE='LMCALIB.PRN',ACCESS='SEQUENTIAL',STATUS='NEW')
C
C
C LOOP FOR GENERATING HIGH FREQUENCY CALIBRATION TABLE
C INTERPOLATING BETWEEN TWO CALIBRATION POINTS 50KHZ APART
C CALIBRATION POINTS SUPPLIED BY INTERNAL 1000KHZ XTAL SOURCE
C
C
C READ IN THE LM FREQUENCY METER SERIES AND SERIAL NUMBER
C
C
      READ(3,118) SERIES
  118 FORMAT(I10)
      READ(3,119) SERIALNUM
  119 FORMAT(I10)
C
C
C READ IN THE CALIBRATION END POINTS FOR THE LF AND HF RANGES 
C OF 125-250 OR 195-400 AND 2000-4000 KHZ
C
C
      READ(3,120) ZLFLOW,ZLFHIGH
  120 FORMAT(2F10.2)
      READ(3,121) HFLOW,HFHIGH
  121 FORMAT(2F10.2)
C
C
C READ IN THE HF/LF DATA ARRAY USING A DO LOOP FROM LMCALIB.DAT FILE
C
C
C DETERMINE AMOUNT OF DATA TO READ, DEPENDING ON LM SERIES
C
C
      IF(SERIES.LT.10) GO TO 205
      L=1
      DO 203 L=1,67
      READ(3,12) FREQPT(L),DIALPT(L)
  203 CONTINUE
      GO TO 211
C
C
  205 L=1
      DO 210 L=1,83
      READ(3,12) FREQPT(L),DIALPT(L)
   12 FORMAT(2F10.2)
  210 CONTINUE
  211 L=1
C
C
C WRITE OUT A TITLE PAGE TELLING WHAT THIS IS *********************
C
C
      WRITE(4,1) IPAGENO
    1 FORMAT(//////,60X,'PAGE ',I2,/////////)
      WRITE(4,2)
    2 FORMAT(/,15X,'MODEL LM FREQUENCY METER CALIBRATION BOOK')
      WRITE(4,3) SERIES,SERIALNUM
    3 FORMAT(///,15X,'SERIES: LM-',I2,'     SERIAL NUMBER: ',I5)
      WRITE(4,4)
    4 FORMAT(///,15X,'WRITTEN BY ROBERT D. KEYS (NA4G)')
      WRITE(4,5)
    5 FORMAT(///,15X,'FROM AN ORIGINAL FORTRAN IV PROGRAM')
      WRITE(4,6)
    6 FORMAT(///,15X,'WRITTEN IN 1979 BY ROBERT D. KEYS (NA4G)')
      WRITE(4,100)
  100 FORMAT(///////////////////////////)
C
C
C INCREMENT THE PAGE COUNTER **************************************
C
C
      IPAGENO=IPAGENO+1
C
C
C WRITE OUT THE OPERATING INSTRUCTIONS ****************************
C
C
      WRITE(4,300) IPAGENO
  300 FORMAT(///////,60X,'PAGE ',I2,//)
      WRITE(4,301)
  301 FORMAT(5X,'CONDENSED OPERATING INSTRUCTIONS')
      WRITE(4,302)
  302 FORMAT(/,5X,'I  - Dial settings should always be read at the '
     1'index arrow.')
      WRITE(4,303)
  303 FORMAT(/,5X,'II - The CRYSTAL switch should always be OFF '
     1'except when')
      WRITE(4,304)
  304 FORMAT(10X,'correcting to a CRYSTAL CHECK POINT.')
      WRITE(4,305)
  305 FORMAT(/,5X,'III- Be sure the FREQ. BAND switch is in the '
     1'correct position,')
C      
      IF(SERIES.LT.10) GO TO 399
      WRITE(4,398)
  398 FORMAT(10X,'LOW for frequencies of 125 to 2000 Kcs., and HIGH '
     1'for frequencies')
      go to 397
  399 WRITE(4,306)
  306 FORMAT(10X,'LOW for frequencies of 195 to 3200 Kcs., and HIGH '
     1'for frequencies') 
C    
  397 WRITE(4,307)
  307 FORMAT(10X,'of 2000 to 32000 Kcs.')
      WRITE(4,308)
  308 FORMAT(/,5X,'IV - The MODULATION switch should always be OFF '
     1'except when')
      WRITE(4,309)
  309 FORMAT(10X,'tuning an MCW receiver to the HETRODYNE FREQUENCY '
     1'METER. Phones')
      WRITE(4,310)
  310 FORMAT(10X,'ARE DISCONNECTED WHEN modulation SWITCH is ON.')
      WRITE(4,311)
  311 FORMAT(/,5X,'V  - To tune a transmitter to a desired '
     1'frequency:')
      WRITE(4,312)
  312 FORMAT(8X,'1. Plug phones into the jack of the HETRODYNE '
     1'FREQUENCY METER.')
      WRITE(4,313)
  313 FORMAT(8X,'2. Find page in the CALIBRATION BOOK showing the '
     1'dial setting')
      WRITE(4,314)
  314 FORMAT(11X,'of the desired frequency.')
      WRITE(4,315)
  315 FORMAT(8X,'3. With CRYSTAL switch ON, turn the HETRODYNE '
     1'FREQUENCY METER')
      WRITE(4,316)
  316 FORMAT(11X,'dial to the setting of the nearest CRYSTAL CHECK '
     1'POINT which')
      WRITE(4,317)
  317 FORMAT(11X,'be found on the next page.')
      WRITE(4,318)
  318 FORMAT(8X,'4. Adjust CORRECTOR to obtain zero beat in the '
     1'phones.')
      WRITE(4,319)
  319 FORMAT(8X,'5. Turn CRYSTAL OFF.')
      WRITE(4,320)
  320 FORMAT(8X,'6. Turn HETRODYNE FREQUENCY METER dial to the '
     1'setting of the')
      WRITE(4,321)
  321 FORMAT(11X,'desired frequency.')
      WRITE(4,322)
  322 FORMAT(8X,'7. With transmitter coupled loosely to the HETRODYNE '
     1'FREQUENCY')
      WRITE(4,323)
  323 FORMAT(11X,'METER, tune transmitter to obtain an audible signal '
     1'in the phones.')
      WRITE(4,324)
  324 FORMAT(11X,'Adjust the R.F. COUPLING control to obtain sufficent '
     1'signal.')
      WRITE(4,325)
  325 FORMAT(8X,'9. Tune transmitter to obtain zero beat in the '
     1'phones.')
      WRITE(4,326)
  326 FORMAT(/,5X,'VI - To tune a CW receiver to a desired '
     1'frequency:')
      WRITE(4,327)
  327 FORMAT(8X,'1. Adjust the HETRODYNE FREQUENCY METER to the '
     1'CRYSTAL CHECK')
      WRITE(4,328)
  328 FORMAT(11X,'POINT as outlined in paragraph V (1-5).')
      WRITE(4,329)
  329 FORMAT(8X,'2. Turn the HETRODYNE FREQUENCY METER dial to the '
     1'setting')
      WRITE(4,330)
  330 FORMAT(11X,'of the desired frequency.')
      WRITE(4,331)
  331 FORMAT(8X,'3. Remove the phones fron the HETRODYNE FREQUENCY '
     1'METER jack')
      WRITE(4,332)
  332 FORMAT(11X,'and plug into the receiver output jack.')
      WRITE(4,333)
  333 FORMAT(8X,'4. With the receiver loosely coupled to the HETRODYNE '
     1'FREQUENCY METER')
      WRITE(4,334)
  334 FORMAT(11X,'Tune receiver to obtain an audible signal in the '
     1'phones.')
      WRITE(4,335)
  335 FORMAT(8X,'5. Adjust R.F. COUPLING control to obtain '
     1'sufficient signal.')
      WRITE(4,336)
  336 FORMAT(8X,'6. Tune receiver to obtain zero beat in the phones.')
      WRITE(4,337)
  337 FORMAT(/,5X,'VII - To tune an MCW receiver to a desired '
     1'frequency:')
      WRITE(4,338)
  338 FORMAT(8X,'1. Adjust the HETRODYNE FREQUENCY METER to the '
     1'CRYSTAL CHECK')
      WRITE(4,339)
  339 FORMAT(11X,'POINT as outlined in paragraph V (1-5).')
      WRITE(4,340)
  340 FORMAT(8X,'2. Turn the HETRODYNE FREQUENCY METER dial to the '
     1'setting of the')
      WRITE(4,341)
  341 FORMAT(11X,'the desired frequency.')
      WRITE(4,342)
  342 FORMAT(8X,'3. Remove phones from the HETRODYNE FREQUENCY '
     1'METER jack and')
      WRITE(4,343)
  343 FORMAT(11X,'plug into the receiver jack.')
      WRITE(4,344)
  344 FORMAT(8X,'4. Turn MODULATION switch ON.')
      WRITE(4,345)
  345 FORMAT(8X,'5. With the receiver coupled loosely to the '
     1'HETRODYNE FREQUENCY')
      WRITE(4,346)
  346 FORMAT(11X,'METER, tune receiver to obtain an audible signal '
     1'in the phones.')
      WRITE(4,347)
  347 FORMAT(8X,'6. Adjust R.F. COUPLING control to obtain '
     1'sufficient signal.')
      WRITE(4,348)
  348 FORMAT(8X,'7. Tune the receiver for maximum signal.'/)
C
C
C INCREMENT THE PAGE COUNTER
C
C
      IPAGENO=IPAGENO+1      
C
C
C LIST THE HF CRYSTAL CALIBRATION POINTS
C
C
      WRITE(4,350) IPAGENO
  350 FORMAT(//////,60X,'PAGE ',I2)
      WRITE(4,351)
  351 FORMAT(/,5X,'HF CRYSTAL CALIBRATION POINTS:  *=ORIGINAL LM'
     1' CALIBRATION POINT',/)
      WRITE(4,352)
  352 FORMAT(7X,'2000.000*    4000.000     8000.000    16000.000')
      WRITE(4,353)
  353 FORMAT(7X,'2100.000     4200.000     8400.000    16800.000')
      WRITE(4,354)
  354 FORMAT(7X,'2125.000     4250.000     8500.000    17000.000')
      WRITE(4,417)
  417 FORMAT(7X,'2166.666*    4333.333     8666.666    17333.333')
      WRITE(4,355)
  355 FORMAT(7X,'2200.000     4400.000     8800.000    17600.000')
      WRITE(4,356)
  356 FORMAT(7X,'2250.000*    4500.000     9000.000    18000.000')
      WRITE(4,357)
  357 FORMAT(7X,'2300.000     4600.000     9200.000    18400.000')
      WRITE(4,418)
  418 FORMAT(7X,'2333.333*    4666.666     9333.333    18666.666')
      WRITE(4,358)
  358 FORMAT(7X,'2375.000     4750.000     9500.000    19000.000')
      WRITE(4,359)
  359 FORMAT(7X,'2400.000     4800.000     9600.000    19200.000')
      WRITE(4,360)
  360 FORMAT(7X,'2500.000*    5000.000    10000.000    20000.000')
      WRITE(4,361)
  361 FORMAT(7X,'2600.000     5200.000    10400.000    20800.000')
      WRITE(4,362)
  362 FORMAT(7X,'2625.000     5250.000    10500.000    21000.000')
      WRITE(4,419)
  419 FORMAT(7X,'2666.666*    5333.333    10666.666    21333.333')
      WRITE(4,363)
  363 FORMAT(7X,'2750.000*    5500.000    11000.000    22000.000')
      WRITE(4,364)
  364 FORMAT(7X,'2800.000     5600.000    11200.000    22400.000')
      WRITE(4,365)
  365 FORMAT(7X,'2875.000     5750.000    11500.000    23000.000')
      WRITE(4,366)
  366 FORMAT(7X,'3000.000*    6000.000    12000.000    24000.000')
      WRITE(4,367)
  367 FORMAT(7X,'3125.000     6250.000    12500.000    25000.000')
      WRITE(4,368)
  368 FORMAT(7X,'3200.000     6400.000    12800.000    25600.000')
      WRITE(4,369)
  369 FORMAT(7X,'3250.000*    6500.000    13000.000    26000.000')
      WRITE(4,420)
  420 FORMAT(7X,'3333.333*    6666.666    13333.333    26666.666')
      WRITE(4,370)
  370 FORMAT(7X,'3400.000     6800.000    13600.000    27200.000')
      WRITE(4,371)
  371 FORMAT(7X,'3500.000*    7000.000    14000.000    28000.000')
      WRITE(4,372)
  372 FORMAT(7X,'3600.000     7200.000    14400.000    28800.000')
      WRITE(4,421)
  421 FORMAT(7X,'3666.667*    7333.333    14666.666    29333.333')
      WRITE(4,373)
  373 FORMAT(7X,'3750.000*    7500.000    15000.000    30000.000')
      WRITE(4,374)
  374 FORMAT(7X,'3800.000     7600.000    15200.000    30400.000')
      WRITE(4,375)
  375 FORMAT(7X,'4000.000*    8000.000    16000.000    32000.000',/)
C
C     
C WRITE LF CRYSTAL CALIBRATION POINTS
C
C
      WRITE(4,376)
  376 FORMAT(//,5X,'LF CRYSTAL CALIBRATION POINTS:  *= ORIGINAL LM'
     1' CALIBRATION POINT',/)
C
C
C CHECK FOR CORRECT LM SREIES
C
C
      IF(SERIES.LT.10) GO TO 396
C
C
      WRITE(4,377)
  377 FORMAT(7X,'125.000*     250.000      500.000     1000.000    ')
      WRITE(4,409)
  409 FORMAT(7X,'133.333*     266.666      533.333     1066.666')
      WRITE(4,378)
  378 FORMAT(7X,'140.000      280.000      560.000     1120.000')
      WRITE(4,410)
  410 FORMAT(7X,'142.867*     284.734      564.468     1128.936')
      WRITE(4,379)
  379 FORMAT(7X,'150.000      300.000      600.000     1200.000')
      WRITE(4,411)
  411 FORMAT(7X,'153.846*     307.692      615.394     1230.788')
      WRITE(4,380)
  380 FORMAT(7X,'160.000      320.000      640.000     1280.000')
      WRITE(4,412)
  412 FORMAT(7X,'166.667*     333.333      666.666     1333.333')
      WRITE(4,381)
  381 FORMAT(7X,'175.000      350.000      700.000     1400.000')
      WRITE(4,382)
  382 FORMAT(7X,'180.000      360.000      720.000     1440.000')
      WRITE(4,413)
  413 FORMAT(7X,'181.818*     363.636      727.272     1454.544')
      WRITE(4,383)
  383 FORMAT(7X,'187.500      375.000      750.000     1500.000')
      WRITE(4,384)
  384 FORMAT(7X,'200.000      400.000      800.000     1600.000')
      WRITE(4,414)
  414 FORMAT(7X,'214.266*     428.532      857.064     1714.128')
      WRITE(4,415)
  415 FORMAT(7X,'222.222*     444.444      888.888     1777.776')
      WRITE(4,385)
  385 FORMAT(7X,'225.000      450.000      900.000     1800.000')
      WRITE(4,416)
  416 FORMAT(7X,'230.769*     461.539      923.078     1846.156')
      WRITE(4,386)
  386 FORMAT(7X,'240.000      480.000      960.000     1920.000')
      WRITE(4,387)
  387 FORMAT(7X,'250.000*     500.000     1000.000     2000.000',///)
      GO TO 395
C
C
  396 WRITE(4,388)
  388 FORMAT(7X,'200.000*     400.000      800.000     1600.000')
      WRITE(4,405)
  405 FORMAT(7X,'222.222*     444.444      888.888     1777.776')
      WRITE(4,389)
  389 FORMAT(7X,'225.000*     450.000      900.000     1800.000')
      WRITE(4,390)
  390 FORMAT(7X,'240.000      480.000      960.000     1920.000')
      WRITE(4,391)
  391 FORMAT(7X,'250.000*     500.000     1000.000     2000.000')
      WRITE(4,392)
  392 FORMAT(7X,'280.000      560.000     1120.000     2240.000')
      WRITE(4,406)
  406 FORMAT(7X,'285.714*     571.428     1142.856     2285.712')
      WRITE(4,393)
  393 FORMAT(7X,'300.000*     600.000     1200.000     2400.000')
      WRITE(4,394)
  394 FORMAT(7X,'312.500      625.000     1250.000     2500.000')
      WRITE(4,400)
  400 FORMAT(7X,'320.000      640.000     1280.000     2560.000')
      WRITE(4,407)
  407 FORMAT(7X,'333.333*     666.666     1333.333     2666.666')
      WRITE(4,401)
  401 FORMAT(7X,'350.000      700.000     1400.000     2800.000')
      WRITE(4,402)
  402 FORMAT(7X,'360.000      720.000     1440.000     2880.000')
      WRITE(4,408)
  408 FORMAT(7X,'375.000*     750.000     1500.000     3000.000')
      WRITE(4,403)
  403 FORMAT(7X,'380.000      760.000     1520.000     3040.000')
      WRITE(4,404)
  404 FORMAT(7X,'400.000*     800.000     1600.000     3200.000',/////)
C
C
C INCREMENT THE PAGE COUNTER
C
C
  395 IPAGENO=IPAGENO+1
C
C
C WRITE THE INTERPOLATION PAGE
C
C
      WRITE(4,460) IPAGEN
  460 FORMAT(////////,60X,'PAGE ',I2)
      WRITE(4,461)
  461 FORMAT(///,'INTERPOLATION TABLE',/)
      WRITE(4,462)
  462 FORMAT('Instructions:')
      WRITE(4,463)
  463 FORMAT('A. Chose fraction in column A, in which NUM. is the '
     1'difference between ')
      WRITE(4,464)
  464 FORMAT('   given FREQ. and N.L.L.F., and DEN. is the difference '
     1'between N.L.L.F.')
      WRITE(4,429)
  429 FORMAT('   and N.H.L.F.')
      WRITE(4,465)
  465 FORMAT('B. Choose decimal value in row B, that is equal to '
     1'difference between')
      WRITE(4,466)
  466 FORMAT('   D.S. of N.L.L.F. and N.H.L.F.')
      WRITE(4,422)
  422 FORMAT('C. Add value at intersection of A and B to D.S. of '
     1'N.L.L.F. The sum is')
      WRITE(4,423)
  423 FORMAT('   the D.S. of given FREQ.',///)
      WRITE(4,424)
  424 FORMAT(' B->  | 1.7  1.8  1.9  2.0  2.1  2.2  2.3  2.4  2.5  '
     1'2.6  2.7 |<-B')
      WRITE(4,425)
  425 FORMAT('*****************************************************'
     1'**************')
      WRITE(4,426)
  426 FORMAT('  1/2 |  .9   .9  1.0  1.0  1.1  1.1  1.2  1.2  1.3  '
     1'1.3  1.4 |')
      WRITE(4,427)
  427 FORMAT('A 1/4 |  .4   .5   .5   .5   .5   .6   .6   .6   .6   '
     1'.7   .7 |')
      WRITE(4,428)
  428 FORMAT('  3/4 | 1.3  1.4  1.4  1.5  1.6  1.7  1.7  1.8  1.9  '
     1'2.0  2.0 |')
      WRITE(4,430)
  430 FORMAT('A 1/5 |  .3   .4   .4   .4   .4   .4   .5   .5   .5   '
     1'.5   .5 |')
      WRITE(4,431)
  431 FORMAT('  2/5 |  .7   .7   .8   .8   .8   .9   .9  1.0  1.0  '
     1'1.0  1.1 |')
      WRITE(4,432)
  432 FORMAT('A 3/5 | 1.0  1.1  1.1  1.2  1.3  1.3  1.4  1.4  1.5  '
     1'1.6  1.6 |')
      WRITE(4,433)
  433 FORMAT('  4/5 | 1.4  1.4  1.5  1.6  1.7  1.8  1.8  1.9  2.0  '
     1'2.1  2.2 |',///)
C
C
      WRITE(4,434)
  434 FORMAT(' B->  | 2.8  2.9  3.0  3.1  3.2  3.3  3.4  3.5  3.6  '
     1'3.7  3.8 |<-B')
      WRITE(4,435)
  435 FORMAT('*****************************************************'
     1'**************')
      WRITE(4,436)
  436 FORMAT('  1/2 | 1.4  1.5  1.5  1.6  1.6  1.7  1.7  1.8  1.8  '
     1'1.9  1.9 |')
      WRITE(4,437)
  437 FORMAT('A 1/4 |  .7   .7   .8   .8   .8   .9   .9   .9   .9  '
     1'1.0  1.0 |')
      WRITE(4,438)
  438 FORMAT('  3/4 | 2.1  2.2  2.3  2.4  2.4  2.5  2.6  2.7  2.7  '
     1'2.8  2.8 |')
      WRITE(4,439)
  439 FORMAT('A 1/5 |  .6   .6   .6   .6   .6   .7   .7   .7   .7  ' 
     1' .7   .8 |')
      WRITE(4,440)
  440 FORMAT('  2/5 | 1.1  1.2  1.2  1.2  1.3  1.3  1.4  1.4  1.4  '
     1'1.5  1.5 |')
      WRITE(4,441)
  441 FORMAT('A 3/5 | 1.7  1.7  1.8  1.9  1.9  2.0  2.0  2.1  2.2  '
     1'2.2  2.3 |')
      WRITE(4,442)
  442 FORMAT('  4/5 | 2.2  2.3  2.4  2.5  2.6  2.6  2.7  2.8  2.9  '
     1'3.0  3.0 |',///)
      WRITE(4,470)
C
C
  470 FORMAT(' B->  | 3.9  4.0  4.1  4.2  4.3  4.4  4.5  4.6  4.7  '
     1'4.8  4.9 |<-B')
      WRITE(4,471)
  471 FORMAT('*****************************************************'
     1'**************')
      WRITE(4,472)
  472 FORMAT('  1/2 | 2.0  2.0  2.1  2.1  2.2  2.2  2.3  2.3  2.4  '
     1'2.4  2.5 |')
      WRITE(4,473)
  473 FORMAT('A 1/4 | 1.0  1.0  1.1  1.1  1.1  1.1  1.1  1.2  1.2  '
     1'1.2  1.2 |')
      WRITE(4,474)
  474 FORMAT('  3/4 | 2.9  3.0  3.0  3.1  3.2  3.3  3.4  3.5  3.5  '
     1'3.6  3.7 |')
      WRITE(4,475)
  475 FORMAT('A 1/5 |  .8   .8   .8   .8   .9   .9   .9   .9  1.0  ' 
     1'1.0  1.0 |')
      WRITE(4,476)
  476 FORMAT('  2/5 | 1.6  1.6  1.6  1.7  1.7  1.8  1.8  1.8  1.9  '
     1'1.9  2.0 |')
      WRITE(4,477)
  477 FORMAT('A 3/5 | 2.3  2.4  2.5  2.5  2.6  2.6  2.7  2.8  2.8  '
     1'2.9  2.9 |')
      WRITE(4,478)
  478 FORMAT('  4/5 | 3.1  3.2  3.3  3.4  3.4  3.5  3.6  3.7  3.8  '
     1'3.8  3.9 |')

      WRITE(4,443)
  443 FORMAT(///,'    LEGEND:  N.L.L.F.  Next lowest listed freq.')
      WRITE(4,444)
  444 FORMAT('             N.H.L.F.  Next highest listed freq.')
      WRITE(4,445)
  445 FORMAT('             D.S.      Dial setting')
      WRITE(4,446)
  446 FORMAT('             NUM.      Numerator')
      WRITE(4,447)
  447 FORMAT('             DEN.      Denominator')
      WRITE(4,448)
  448 FORMAT('             FREQ.     Frequency',/)
C
C
      IPAGENO=IPAGENO+1
C
C
C WRITE THE FIRST DATA PAGE HEADER FOR THE HF SECTION *************
C
C
      WRITE(4,7) IPAGENO
    7 FORMAT(//////,60X,'PAGE ',I2)
      WRITE(4,8)
    8 FORMAT(//,15X,'HIGH FREQUENCY BAND --- 2000 TO 32000 KHZ')
      WRITE(4,9) HFLOW,HFHIGH
    9 FORMAT(/,15X,'CALIBRATION CHECK POINTS:',F7.2,' OR ',F7.2)
      WRITE(4,10)
   10 FORMAT(/,15X,'FREQUENCY IN KILOHERTZ',20X,'DIAL UNITS')
      WRITE(4,11)
   11 FORMAT(15X,'=================================',9X,'==========')
C
C
C CALCULATE THE DATA FOR THE HF SECTION *************************
C
C
C PRINT THE FIRST LINE AT 2000KHZ
C
      WRITE(4,14) IFREQ,IFREQ*2,IFREQ*4,IFREQ*8,DIALPT(1)
   14 FORMAT(15X,I4,5X,I4,5X,I5,5X,I5,10X,F6.1)
      IFREQ=IFREQ+1
C
C PRINT SECTIONS OF 50 LINES BETWEEN EACH CALIBRATION DIAL POINT
C
      DO 25 L=1,42
      INCREMENT=(DIALPT(L+1)-DIALPT(L))/50.0
C
C PRINT THE INDIVIDUAL LINES
C
      DO 20,J=1,49
      DIAL=DIALPT(L)+(J*INCREMENT)
      WRITE(4,15) IFREQ,IFREQ*2,IFREQ*4,IFREQ*8,DIAL
   15 FORMAT(15X,I4,5X,I4,5X,I5,5X,I5,10X,F6.1)
      IFREQ=IFREQ+1
   20 CONTINUE
C
C PRINT OUT THE 50TH LINE USING DIALPT(L+1) ON THE NEXT PAGE
C
      IF(IFREQ.LT.4000) CALL HFHEAD(IPAGENO,J,HFLOW,HFHIGH)
      WRITE(4,21) IFREQ,IFREQ*2,IFREQ*4,IFREQ*8,DIALPT(L+1)
   21 FORMAT(15X,I4,5X,I4,5X,I5,5X,I5,10X,F6.1)
      IFREQ=IFREQ+1
      IF(IFREQ.GT.4000) GO TO 50
C
C END PRINT INDIVIDUAL LINES
C
   25 CONTINUE
C
C END PRINT 50 LINES
C
   50 CONTINUE
C
C END HF PRINT SECTION
C
C
C CALCULATE THE DATA FOR THE LF SECTION *************************
C
C
C FIND OUT IF SERIES # < 10; 1-9 = 195 TO 400 KHZ LF RANGE
C
      IF(SERIES.LT.10) GO TO 105
C
C
C WRITE THE FIRST DATA PAGE HEADER FOR THE LF 125 TO 250 KHZ SECTION ***
C
C
      WRITE(4,52) IPAGENO
   52 FORMAT(//////,60X,'PAGE ',I2)
      WRITE(4,53)
   53 FORMAT(//,15X,'LOW FREQUENCY BAND --- 125 TO 2000 KHZ')
      WRITE(4,54) ZLFLOW,ZLFHIGH
   54 FORMAT(/,15X,'CALIBRATION CHECK POINTS:',F7.2,' OR ',F7.2)
      WRITE(4,55)
   55 FORMAT(/,15X,'FREQUENCY IN KILOHERTZ',20X,'DIAL UNITS')
      WRITE(4,56)
   56 FORMAT(15X,'=================================',9X,'==========')
C
C
C RESET THE FREQLF VARIABLE
C
      FREQLF=0125.0
C
C PRINT THE FIRST LINE AT 125.0 KHZ
C
      WRITE(4,64) FREQLF,FREQLF*2,FREQLF*4,FREQLF*8,DIALPT(42)
   64 FORMAT(14X,F6.1,3X,F6.1,3X,F6.1,4X,F6.1,10X,F6.1)
      FREQLF=FREQLF+0.1
C
C PRINT SECTIONS OF 50 LINES BETWEEN EACH CALIBRATION DIAL POINT
C
      DO 75 L=42,68
C     L=22
      INCREMENT=(DIALPT(L+1)-DIALPT(L))/50.0
C     WRITE(4,65) DIALPT(L+1),DIALPT(L),INCREMENT
C
C PRINT THE INDIVIDUAL LINES
C
      DO 70,J=1,49
      DIAL=DIALPT(L)+(J*INCREMENT)
      WRITE(4,65) FREQLF,FREQLF*2,FREQLF*4,FREQLF*8,DIAL
   65 FORMAT(14X,F6.1,3X,F6.1,3X,F6.1,4X,F6.1,10X,F6.1)
      FREQLF=FREQLF+0.1
   70 CONTINUE
C
C PRINT OUT THE 50TH LINE USING DIALPT(L+1) ON THE NEXT PAGE
C
      IF(FREQLF.LT.250) CALL LFHEAD(IPAGENO,J,ZLFLOW,ZLFHIGH)
      WRITE(4,71) FREQLF,FREQLF*2,FREQLF*4,FREQLF*8,DIALPT(L+1)
   71 FORMAT(14X,F6.1,3X,F6.1,3X,F6.1,4X,F6.1,10X,F6.1)
      FREQLF=FREQLF+0.1
      IF(FREQLF.GT.250) GO TO 90
C
C END PRINT INDIVIDUAL LINES
C
   75 CONTINUE
C
C END PRINT 50 LINES
C
   90 CONTINUE
C
C END LF PRINT SECTION
C
      GO TO 900
C
C
C WRITE THE FIRST DATA PAGE HEADER FOR THE 195 TO 400 KHZ LF SECTION****
C
C
  105 WRITE(4,152) IPAGENO
  152 FORMAT(//////,60X,'PAGE ',I2)
      WRITE(4,153)
  153 FORMAT(//,15X,'LOW FREQUENCY BAND --- 195 TO 3200 KHZ')
      WRITE(4,154) ZLFLOW,ZLFHIGH
  154 FORMAT(/,15X,'CALIBRATION CHECK POINTS:',F7.2,' OR ',F7.2)
      WRITE(4,155)
  155 FORMAT(/,15X,'FREQUENCY IN KILOHERTZ',20X,'DIAL UNITS')
      WRITE(4,156)
  156 FORMAT(15X,'=================================',9X,'==========')

C PRINT A NEW PAGE HEADER FOR THE LF SECTION
C
C RESET THE FREQLF VARIABLE
C
      FREQLF=0195.0
C
C PRINT THE FIRST LINE AT 195.0 KHZ
C
      WRITE(4,164) FREQLF,FREQLF*2,FREQLF*4,FREQLF*8,DIALPT(42)
  164 FORMAT(14X,F6.1,3X,F6.1,3X,F6.1,4X,F6.1,10X,F6.1)
      FREQLF=FREQLF+0.1
C
C PRINT SECTIONS OF 50 LINES BETWEEN EACH CALIBRATION DIAL POINT
C
      DO 175 L=42,84
      INCREMENT=(DIALPT(L+1)-DIALPT(L))/50.0
C
C PRINT THE INDIVIDUAL LINES
C
      DO 170,J=1,49
      DIAL=DIALPT(L)+(J*INCREMENT)
      WRITE(4,165) FREQLF,FREQLF*2,FREQLF*4,FREQLF*8,DIAL
  165 FORMAT(14X,F6.1,3X,F6.1,3X,F6.1,4X,F6.1,10X,F6.1)
      FREQLF=FREQLF+0.1
  170 CONTINUE
C
C PRINT OUT THE 50TH LINE USING DIALPT(L+1) ON THE NEXT PAGE
C
      IF(FREQLF.LT.400) CALL LFHEAD(IPAGENO,J,ZLFLOW,ZLFHIGH)
      WRITE(4,171) FREQLF,FREQLF*2,FREQLF*4,FREQLF*8,DIALPT(L+1)
  171 FORMAT(14X,F6.1,3X,F6.1,3X,F6.1,4X,F6.1,10X,F6.1)
      FREQLF=FREQLF+0.1
      IF(FREQLF.GT.400) GO TO 190
C
C END PRINT INDIVIDUAL LINES
C
  175 CONTINUE
C
C END PRINT 50 LINES
C
  190 CONTINUE
C
C END LF PRINT SECTION
C
C
C ***************************************************************
  900 STOP
C ***************************************************************
      END
C ***************************************************************
C
C
C
C
C ***************************************************************
C WRITE ANOTHER HF PAGE HEADER AS NECESSARY *********************
C ***************************************************************
C
C
      SUBROUTINE HFHEAD(IPAGENO,J,HFLOW,HFHIGH)
C
C INCREMENT PAGE COUNTER
C
      IPAGENO=IPAGENO+1
C
C WRITE OUT PAGE HEADER INFORMATION
C
      WRITE(4,16) IPAGENO
   16 FORMAT(////////,60X,'PAGE ',I2)
      WRITE(4,17) HFLOW,HFHIGH
   17 FORMAT(///,15X,'CALIBRATION CHECK POINTS:',F7.2,' OR ',F7.2)
      WRITE(4,18)
   18 FORMAT(/,15X,'FREQUENCY IN KILOHERTZ',20X,'DIAL UNITS')
      WRITE(4,19)
   19 FORMAT(15X,'=================================',9X,'==========')
      RETURN
      END
C
C
C
C
C ***************************************************************
C WRITE ANOTHER LF PAGE HEADER AS NECESSARY *********************
C ***************************************************************
C
C
      SUBROUTINE LFHEAD(IPAGENO,J,ZLFLOW,ZLFHIGH)
C
C INCREMENT PAGE COUNTER
C
      IPAGENO=IPAGENO+1
C
C WRITE OUT THE PAGE HEADER INFORMATION
C
      WRITE(4,516) IPAGENO
  516 FORMAT(////////,60X,'PAGE ',I2)
      WRITE(4,517) ZLFLOW,ZLFHIGH
  517 FORMAT(///,15X,'CALIBRATION CHECK POINTS:',F7.2,' OR ',F7.2)
      WRITE(4,518)
  518 FORMAT(/,15X,'FREQUENCY IN KILOHERTZ',20X,'DIAL UNITS')
      WRITE(4,519)
  519 FORMAT(15X,'=================================',9X,'==========')
      RETURN
      END
C
C
C
C
